use std::io::Read;
use crate::errors::RunError;

pub fn getc(memory: &mut Vec<u16>) {
    let char = std::io::stdin()
        .bytes()
        .next()
        .and_then(|result| result.ok())
        .map(|byte| byte as u16)
        .expect(&format!("{}", RunError::FailToGetCharFromConsole));
    
    memory.push(char);
}