use crate::errors::RunError;

pub fn kjnz(memory: &mut Vec<u16>, labels: &mut [Option<i16>; 256], program_counter: &mut u16, data: &u16) {
    if labels[*data as usize].is_none() {
        eprintln!("{}", RunError::UnknownLabel(*data));
        std::process::exit(2);
    }

    if memory.last() != Some(&0) {
        *program_counter = (labels[*data as usize].unwrap() - 1) as u16;
    }
}