use fastrand;
use crate::RunError;

pub fn random(memory: &mut Vec<u16>) {
    let data = &memory.pop().expect(&format!("{}", RunError::MemoryEmpty));
    memory.push(fastrand::u16(..) % (*data - 1));
}